Skip to content

Revokes a merchant API key

Request

DELETE {{baseURL}}/v2/api-keys/{{clientId}}

This endpoint revokes a merchant API key.

See Also:
To list available keys, see GET /v2/api-keys.
To create an API key, see POST /v2/api-keys.

Security
Bearer
Path
clientIdstring, (uuid)required

Specifies the API key's client identifier.

If the API token used for this endpoint was created from a partner API key, an API key can be revoked only for merchants associated with that partner.

If the API token used for this endpoint was created from a merchant API key, an API key can be revoked only for that merchant.

Example:aa98aa89-07ae-4a23-b441-48725f0386e6
curl -i -X DELETE \
  https://sandbox.api.flute.com/v2/api-keys/aa98aa89-07ae-4a23-b441-48725f0386e6 \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>'

Responses

OK. The API key was successfully revoked.

Response
No content